Index: cpukit/libcsupport/include/chain.h
===================================================================
--- cpukit/libcsupport/include/chain.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/chain.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,2 +1,6 @@
+/**
+ * @file rtems/chain.h
+ */
+
 /*  chain.h
  *
Index: cpukit/libcsupport/include/clockdrv.h
===================================================================
--- cpukit/libcsupport/include/clockdrv.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/clockdrv.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,2 +1,6 @@
+/**
+ * @file rtems/clockdrv.h
+ */
+
 /*  clock.h
  *
Index: cpukit/libcsupport/include/console.h
===================================================================
--- cpukit/libcsupport/include/console.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/console.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,2 +1,6 @@
+/**
+ * @file rtems/console.h
+ */
+
 /*  console.h
  *
Index: cpukit/libcsupport/include/iosupp.h
===================================================================
--- cpukit/libcsupport/include/iosupp.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/iosupp.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,4 +1,7 @@
-/*  iosupp.h
- *
+/**
+ * @file rtems/iosupp.h
+ */
+
+/*
  *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
Index: cpukit/libcsupport/include/motorola/mc68230.h
===================================================================
--- cpukit/libcsupport/include/motorola/mc68230.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/motorola/mc68230.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,2 +1,6 @@
+/**
+ * @file rtems/motorola/mc68230.h
+ */
+
 /*
  * mc68230.h -- Low level support code for the Motorola 68230 Parallel
Index: cpukit/libcsupport/include/motorola/mc68681.h
===================================================================
--- cpukit/libcsupport/include/motorola/mc68681.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/motorola/mc68681.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,5 +1,11 @@
-/*
+/**
+ * @file rtems/motorola/mc68681.h
+ *
+ *
  * mc68681-duart.h -- Low level support code for the Motorola mc68681
  *                   DUART.
+ */
+
+/*
  *
  *  Originally written by rob@cygnus.com (Rob Savoye) for the libgloss
Index: cpukit/libcsupport/include/ringbuf.h
===================================================================
--- cpukit/libcsupport/include/ringbuf.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/ringbuf.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,7 +1,9 @@
-/*
- *  ringbuf.h
+/**
+ *  @file rtems/ringbuf.h
  *
  *  This file provides simple ring buffer functionality.
- *
+ */
+
+/*
  *  $Id$
  */
Index: cpukit/libcsupport/include/rtc.h
===================================================================
--- cpukit/libcsupport/include/rtc.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/rtc.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,8 +1,11 @@
-/*  rtc.h
+/**
+ *  @file rtems/rtc.h
  *
  *  This file describes the Real-Time Clock driver for all boards.
  *  This driver provides support for the standard RTEMS routines
  *  that set the tod based on an RTC.
- *
+ */
+ 
+/*
  *  COPYRIGHT (c) 1989-2001.
  *  On-Line Applications Research Corporation (OAR).
Index: cpukit/libcsupport/include/rtems/assoc.h
===================================================================
--- cpukit/libcsupport/include/rtems/assoc.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/rtems/assoc.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,2 +1,6 @@
+/**
+ * @file rtems/assoc.h
+ */
+
 /*
  *
Index: cpukit/libcsupport/include/rtems/cdefs.h
===================================================================
--- cpukit/libcsupport/include/rtems/cdefs.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/rtems/cdefs.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,2 +1,6 @@
+/**
+ * @file rtems/cdefs.h
+ */
+
 /*
  * Copyright (c) 1991, 1993
Index: cpukit/libcsupport/include/rtems/error.h
===================================================================
--- cpukit/libcsupport/include/rtems/error.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/rtems/error.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,2 +1,6 @@
+/**
+ * @file rtems/error.h
+ */
+
 /*
  *  Defines and externs for rtems error reporting
Index: cpukit/libcsupport/include/rtems/libcsupport.h
===================================================================
--- cpukit/libcsupport/include/rtems/libcsupport.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/rtems/libcsupport.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,2 +1,6 @@
+/**
+ * @file rtems/libcsupport.h
+ */
+
 /*  libcsupport.h
  *
Index: cpukit/libcsupport/include/rtems/libio.h
===================================================================
--- cpukit/libcsupport/include/rtems/libio.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/rtems/libio.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,2 +1,6 @@
+/**
+ * @file rtems/libio.h
+ */
+
 /*
  *  System call and file system interface definition
Index: cpukit/libcsupport/include/rtems/libio_.h
===================================================================
--- cpukit/libcsupport/include/rtems/libio_.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/rtems/libio_.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,2 +1,6 @@
+/**
+ * @file rtems/libio_.h
+ */
+
 /*
  *  Libio Internal Information
Index: cpukit/libcsupport/include/rtems/termiostypes.h
===================================================================
--- cpukit/libcsupport/include/rtems/termiostypes.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/rtems/termiostypes.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,2 +1,6 @@
+/**
+ * @file rtems/termiostypes.h
+ */
+
 /*
  *  RTEMS termios device support internal data structures
Index: cpukit/libcsupport/include/spurious.h
===================================================================
--- cpukit/libcsupport/include/spurious.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/spurious.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,2 +1,6 @@
+/**
+ * @file rtems/spurious.h
+ */
+
 /*  spurious.h
  *
Index: cpukit/libcsupport/include/timerdrv.h
===================================================================
--- cpukit/libcsupport/include/timerdrv.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/timerdrv.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,5 +1,9 @@
-/*  timerdrv.h
+/**
+ * @file rtems/timerdrv.h
  *
  *  This file describes the Timer Driver for all boards.
+ */
+ 
+/*
  *
  *  COPYRIGHT (c) 1989-1999.
@@ -37,3 +41,2 @@
 
 #endif
-/* end of include file */
Index: cpukit/libcsupport/include/vmeintr.h
===================================================================
--- cpukit/libcsupport/include/vmeintr.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/vmeintr.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,9 +1,11 @@
-/*
- *  vmeintr.h
+/**
+ * @file rtems/vmeintr.h
  *
  *  This file is the specification for the VMEbus interface library
  *  which should be provided by all BSPs for VMEbus Single Board
  *  Computers but currently only a few do so.
- *
+ */
+ 
+/*
  *  COPYRIGHT (c) 1989-1999.
  *  On-Line Applications Research Corporation (OAR).
Index: cpukit/libcsupport/include/zilog/z8036.h
===================================================================
--- cpukit/libcsupport/include/zilog/z8036.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/zilog/z8036.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,10 +1,9 @@
-/*  z8036.h
- *
+/**
+ * @file rtems/zilog/z8036.h
+ */
+ 
+/*
  *  This include file defines information related to a Zilog Z8036
  *  Counter/Timer/IO Chip.  It is a memory mapped part.
- *
- *  Input parameters:  NONE
- *
- *  Output parameters:  NONE
  *
  *  NOTE: This file shares as much as possible with the include
Index: cpukit/libcsupport/include/zilog/z8530.h
===================================================================
--- cpukit/libcsupport/include/zilog/z8530.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/zilog/z8530.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,10 +1,9 @@
-/*  z8530.h
- *
+/**
+ * @file rtems/zilog/z8530.h
+ */
+
+/*
  *  This include file defines information related to a Zilog Z8530
  *  SCC Chip.  It is a IO mapped part.
- *
- *  Input parameters:   NONE
- *
- *  Output parameters:  NONE
  *
  *  COPYRIGHT (c) 1989-1999.
Index: cpukit/libcsupport/include/zilog/z8536.h
===================================================================
--- cpukit/libcsupport/include/zilog/z8536.h	(revision 4406c2f7027260c2242cfd5e2952d9a27cd2763c)
+++ cpukit/libcsupport/include/zilog/z8536.h	(revision 4d3017ab2ddb22b461a21cc0e5572793d392d01e)
@@ -1,4 +1,7 @@
-/*  z8536.h
- *
+/**
+ * @file rtems/zilog/z8536.h
+ */
+
+/*
  *  This include file defines information related to a Zilog Z8536
  *  Counter/Timer/IO Chip.  It is a IO mapped part.
